<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_white"
    android:paddingLeft="5dp"
    android:paddingRight="16dp">

    <RelativeLayout
        android:id="@+id/count_rl"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginTop="12dp"
        android:layout_marginBottom="20dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@id/user_icon"
        app:layout_constraintTop_toBottomOf="@id/user_introduce">

        <TextView
            android:id="@+id/answer_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="11dp"
            android:textColor="@color/text_subtitle"
            android:textSize="11sp"
            tools:text="1回答" />

        <TextView
            android:id="@+id/vote_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@id/answer_count"
            android:textColor="@color/text_subtitle"
            android:textSize="11sp"
            tools:text="1赞同" />
    </RelativeLayout>

    <TextView
        android:id="@+id/user_introduce"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginTop="5dp"
        android:layout_marginRight="19dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="11sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="@+id/user_icon"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintLeft_toRightOf="@+id/user_icon"
        app:layout_constraintRight_toLeftOf="@+id/follower_btn"
        app:layout_constraintTop_toBottomOf="@+id/user_name"
        tools:text="这是一个很神秘的崽~这是一个很神秘的崽~这是一个很神秘的崽~这是一个很神秘的崽~" />

    <TextView
        android:id="@+id/user_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/text_title"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/user_introduce"
        app:layout_constraintLeft_toRightOf="@+id/user_icon"
        app:layout_constraintTop_toTopOf="@+id/user_icon"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="人没路子野" />

    <TextView
        android:id="@+id/follower_btn"
        android:layout_width="60dp"
        android:layout_height="26dp"
        style="@style/PrimaryLightButton"
        android:gravity="center"
        android:textSize="12sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="关注" />

    <View
        android:id="@+id/divider"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginLeft="68dp"
        android:background="@color/divider"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/sdv_user_badge"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginLeft="4dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/user_name"
        app:layout_constraintLeft_toRightOf="@id/user_name"
        app:layout_constraintTop_toTopOf="@id/user_name" />

    <com.gh.gamecenter.common.view.AvatarBorderView
        android:id="@+id/user_icon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:avatar_width="44dp"
        app:badge_width="15dp"
        app:border_color="@color/transparent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:layout_height="66dp"
        tools:layout_width="66dp" />

</androidx.constraintlayout.widget.ConstraintLayout>

